Summary: portable cross-platform Audio API
Name: portaudio
Version: 19
Release: 6_4_20071207%{?dist}
License: MIT
Group: Development/Libraries
URL: http://www.portaudio.com/
Source0: http://www.portaudio.com/archives/pa_stable_v19_20071207.tar.gz
Patch0: portaudio-non-mmap-alsa.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: gcc-c++
BuildRequires: doxygen
BuildRequires: alsa-lib-devel
# only on Fedora BuildRequires: jack-audio-connection-kit-devel
Provides: portaudio-devel = %{evr}
Requires: pkgconfig

%description
PortAudio is a portable audio I/O library designed for cross-platform
support of audio. It uses a callback mechanism to request audio processing.
Audio can be generated in various formats, including 32 bit floating point,
and will be converted to the native format internally.

%prep
%setup -q -n %{name}
#patch0 -p1
perl -pi -e's,/sbin/ldconfig,echo skipping /sbin/ldconfig,' Makefile.linux

%build
#make -f Makefile.linux sharedlib CFLAGS='-fPIC %{optflags}'
%configure --disable-static --enable-cxx
make
doxygen

%install
rm -rf %{buildroot}
#mkdir -p %{buildroot}%{_libdir}
#mkdir -p %{buildroot}%{_includedir}
#make -f Makefile.linux libinstall LIBINST=%{buildroot}%{_libdir}
#install -p ./pa_common/portaudio.h %{buildroot}%{_includedir}
make install DESTDIR=%{buildroot}

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc LICENSE.txt README.txt
%{_libdir}/libportaudio.so.*
%{_libdir}/libportaudiocpp.so.*

%{_includedir}/*
%{_libdir}/libportaudio.so
%{_libdir}/libportaudiocpp.so
%{_libdir}/pkgconfig/*.pc
%exclude %{_libdir}/*.la

%changelog
* Fri Jan 16 2009 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to v19 (20071207)
- Sync with Fedora.

* Fri Jun  4 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 18_1.

* Mon Jun 16 2003 Axel Thimm <Axel.Thimm@ATrpms.net> 
- Initial build.


